use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IPlainListItem;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "plain_list_item")]
pub(crate) struct RenderPlainListItem {}

impl RenderPlainListItem {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        original: &IPlainListItem,
    ) -> Result<RenderPlainListItem, CustomError> {
        Ok(RenderPlainListItem {})
    }
}
